Subject: bug#1047: 23.0.60; Subversion revision number in mode-line

From: Glenn Morris <[email-masked]>
Date: Mon, 29 Sep 2008 13:43:05 -0400

Nick Roberts wrote:

> In Emacs 22.1, it seems that a buffer visiting a file under SVN
> controls displays the the revision number of the last changeset of
> which that file was a part. [...]
>
> In 23.0.60 (current CVS) it appears to display the revision number
> of the current tree. That means that, if the working copy is
> up-to-date, all files display the same number in the mode-line.

I went to a svn working directory, and did `svn up'. This said
"At revision 3229."

I have a file called `emacs' here. `svn status -v emacs' says:

3229     3204 gmorris      emacs

I opened this file with emacs -Q.

In both Emacs 22.3 and the current CVS trunk, I see `SVN-3204' in the
modeline.

You're saying you see `SVN-3229' in the current CVS?